#
# spec file for package python-xmltv
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-xmltv
Version:        1.4.1
Release:        1.1
Url:            http://bitbucket.org/jfunk/python-xmltv
Summary:        A Python Module for Reading and Writing XMLTV Files
License:        LGPL-3.0+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/python-xmltv/python-xmltv-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
python-xmltv is a Python module that provides access to XMLTV data. XMLTV is
an XML format for storing TV listings.

More information on XMLTV can be found at http://membled.com/work/apps/xmltv/

%prep
%setup -q -n python-xmltv-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt COPYING CREDITS README.txt TODO.txt
%{python_sitelib}/*

%changelog
* Tue Feb 21 2012 jfunk@funktronics.ca
- Update to 1.4.1
  * Updated MANIFEST.in to include all doc files
- 1.4
  * Updated to reflect current XMLTV DTD (patch from Igor Sobolev)
  * Clean up for pypi release
- Update spec for current conventions
